local dataforms = require("util.dataforms");

local namespaces = module:require("mix/namespaces");

return {
    -- MIX
    mix_info = dataforms.new({
        { name = "FORM_TYPE", type = "hidden", value = namespaces.mix_core },
        { name = "Name", type = "text-single" },
        { name = "Description", type = "text-single" },
        { name = "Contact", type = "jid-multi" }});
    -- MAM
    mam_query = dataforms.new({
        { name = "FORM_TYPE", type = "hidden", value = namespaces.mam },
        { name = "with", type = "jid-single" },
        { name = "start", type = "text-single" },
        { name = "end", type = "text-single" }});
};
